<div id="ipsnot-section-content-chat" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-cogs"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'Content', 'wp_notification_plus' ); ?></h3>
                <p><?php _e( 'Setting the content of the notification widget', 'wp_notification_plus' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">
            
            <?php
            //Widget Title
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-widget-title-chat"><?php _e( 'Widget Title', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <?php
                    $title = stripslashes( $this->setting->getSetting( 'widget_title_chat' ) );
                    ?>
                    <input type="text" id="input-widget-title-chat" class="ipbe-input ipbe-input-full" name="widget_title_chat" value="<?php echo $title; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the title of the notification widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Widget Icon
            ?>
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-widget-icon-chat"><?php _e( 'Widget Icon', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field">
                    <?php
                    $icon = $this->setting->getSetting( 'widget_icon_chat' );
                    IPSnot_Faicon::get_html_option( 'widget_icon_chat', $icon );
                    ?>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the icon of the notification widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Chat Photo
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-chat-photo-chat"><?php _e( 'Chat Photo', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <div class="ipbe-upload-image ipbe-clear">
                        <div class="ipbe-upload-preview">
                            <?php
                            $setimg = false;
                            if ( $this->setting ) {
                                if ( $attach_id = $this->setting->getSetting( 'chat_photo_chat' ) ) {
                                    $setimg = true;
                                    $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                }
                            }
                            if ( $setimg ) {
                                echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                                echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_notification_plus' ) . '</div>';
                                $reset_dsp = '';
                            } else {
                                echo '<div class="image"></div>';
                                echo '<div class="none">' . __( 'No image', 'wp_notification_plus' ) . '</div>';
                                $reset_dsp = ' style="display:none;"';
                            }
                            ?>
                        </div>
                        
                        <div class="ipbe-image-field">
                            <div class="ipbe-select-image">
                                <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_notification_plus' ); ?></p>
                                <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" name="select_image" data-choose="<?php esc_attr_e( 'Choose Photo' ); ?>"
                                  data-update="<?php esc_attr_e( 'Choose photo' ); ?>">
                                    <i class="ibe ibe-image"></i>
                                    <?php _e( 'Select Photo', 'wp_notification_plus' ); ?>
                                </a>
                                <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                                    <i class="ibe ibe-ban"></i>
                                    <?php _e( 'Clear Photo', 'wp_notification_plus' ); ?>
                                </a>
                            </div>
                            <input type="hidden" name="upload_type" class="ipbe-upload-type" value="chat_photo_chat" />
                            <input type="hidden" name="chat_photo_chat" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                        </div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the chat photo in conversation content.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Chat Content
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-chat-content-chat"><?php _e( 'Chat Content', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <div class="ipsnot-chat-content ipbe-clear">
                        <?php 
                        //Chats list
                        $this->view( 'manage/content_chat/chats' );
                        ?>
                        <div class="ipsnot-chat-content-add">
                            <a id="ipsnot-chat-content-doadd" href="#ipsnot-modal-add-content" class="ipbe-btn ipbe-btn-primary">
                                <?php _e( 'Add Content', 'wp_notification_plus' ); ?>
                            </a>
                        </div>
                        <?php
                        /*
                        <div class="ipsnot-chat-content-input">
                            <div class="ipsnot-chat-input-options">
                                <a href="#" class="ipsnot-chat-smile" title="<?php _e( 'Insert smile', 'wp_notification_plus' ); ?>">
                                    <i class="ibe ibe-smile-o"></i>
                                </a>
                                <a href="#" class="ipsnot-chat-add-button" title="<?php _e( 'Insert button', 'wp_notification_plus' ); ?>">
                                    <i class="ibe ibe-chain"></i>
                                </a>
                            </div>
                            <div class="ipsnot-chat-textarea-wrap">
                                <textarea name="" class="ipbe-input ipbe-input-full ipsnot-chat-textarea"></textarea>
                            </div>
                            <div class="ipsnot-chat-input-submit">
                                <button type="submit" class="ipbe-btn ipbe-btn-primary ipsnot-add-chat-content" name="add_chat_content">
                                    <?php _e( 'Add Chat Content', 'wp_notification_plus' ); ?>
                                </button>
                            </div>
                        </div>
                        */
                        ?>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the chat content that show in notification widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Browser Tab Setting
            ?>
            <h3 class="ipbe-field-title">
                <?php _e( 'Browser Tab Settings', 'wp_notification_plus' ); ?>
            </h3>
            
            <?php
            //Tab Title
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-tab-title-chat"><?php _e( 'Tab Title', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <?php
                    $title = stripslashes( $this->setting->getSetting( 'tab_title_chat' ) );
                    ?>
                    <input type="text" id="input-tab-title-chat" class="ipbe-input ipbe-input-full" name="tab_title_chat" value="<?php echo $title; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the browser tab title.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Tab Icon
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-tab-icon-chat"><?php _e( 'Tab Icon', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <select name="tab_icon_chat" class="ipbe-input ipsnot-widget-icon" id="input-tab-icon-chat">
                    <?php
                    $icons = array(
                        'envelope'       => __( 'Envelope', 'wp_notification_plus' ),
                        'bubble'         => __( 'Bubble', 'wp_notification_plus' ),
                        'exclamation'    => __( 'Exclamation', 'wp_notification_plus' ),
                        'info'           => __( 'Info', 'wp_notification_plus' ),
                        'bullhorn'       => __( 'Bullhorn', 'wp_notification_plus' ),
                        'bell'           => __( 'Bell', 'wp_notification_plus' ),
                        'checkmark'      => __( 'Checkmark', 'wp_notification_plus' ),
                        'paper_plane'    => __( 'Paper Plane', 'wp_notification_plus' ),
                        'star'           => __( 'Star', 'wp_notification_plus' ),
                    );
                    $icon = $this->setting->getSetting( 'tab_icon_chat', 'envelope' );
                    foreach( $icons as $key => $label )
                    {
                        $sltd = '';
                        if ( $key == $icon ) {
                            $sltd = ' selected="selected"';
                        }
                        echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                    }
                    ?>
                    </select>
                    <?php
                    $base  = IPSNOT_BASE_URL . 'img/favicon/';
                    $file  = $base . $icon . '.ico';
                    ?>
                    </select>
                    <span class="ipsnot-widget-icon-preview mx10">
                        <img src="<?php echo $file; ?>" alt="" />
                    </span>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the browser tab icon .', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>