/**
 * Menu control
 **/
(function($){

    $(document).ready(function() 
    {
        //Button On Off
        if ( $( '.ipbe-btn-onoff' ).length > 0 ) {
            $( '.ipbe-btn-onoff' ).ipbe_btn_onoff({
                func_select: function( button )
                {
                    ipsnot_input_preview( button );
                    //
                    //Use button
                    if ( button.hasClass( 'ipsnot-use-btn-option' ) )
                    {
                        var value = $( '.ipbe-onoff-value', button ).val();
                        var parent = button.parents( '.ipbe-fields' );
                        if ( value == 'true' || value == true ) {
                            $( '.ipsnot-use-button-fields', parent ).show();
                        } else {
                            $( '.ipsnot-use-button-fields', parent ).hide();
                        }
                    }
                }
            });
        }
        
        //Select/upload image
        if ( $( '.ipbe-upload-image' ).length > 0 ) {
            $( '.ipbe-upload-image' ).ipbe_select_image({
                func_select: function( item ){
                    ipsnot_input_preview( item );
                },
                func_reset: function( button ){
                    ipsnot_input_preview( button );
                }
            });
        }
        
        //Fancy Options
        if ( $( '.ipbe-fancy-option' ).length > 0 ) {
            $( '.ipbe-fancy-option' ).ipbe_fancy_option({
                func_select: function( option ){
                    ipsnot_input_preview( option );
                }
            });
        }
        
        //Fade Menu
        if ( $( '.ipbe-fade-menu' ).length > 0 ) {
            $( '.ipbe-fade-menu' ).ipbe_fade_menu();
        }
        
        //Icon select
        if ( $( '.ipbe-faicon-options' ).length > 0 ) 
        {
            $( '.ipbe-faicon-options a' ).ipbe_select_active({
                item_selector:      '.ipbe-faicon-options a',
                input_selector:     '.ipbe-icon-selected',
                func_select: function( input ){
                    ipsnot_input_preview( input );
                }
            });
        }
        
        //Color picker
        if ( $('.ipsnot-color-picker').length > 0 ) {
            $('.ipsnot-color-picker').each( function() {
                var picker = $(this);
                picker.wpColorPicker({
                    change: function(event, ui){
                        picker.val( ui.color.toString() );
                        ipsnot_input_preview( picker );
                    }
                });
            });
        }
        
        //Tab Menu
        $( '.ipbe-tab' ).ipbe_tab({
            after_click: function( idtab, root ){
                var content = $( '#'+idtab );
                var title   = $( '.ipbe-title-content', content ).clone().removeClass( 'ipbe-hide' );
                $( '.ipbe-tab-title', root ).html( title );
            },
            tab_init: function( idtab, root ) {
                var content = $( '#'+idtab );
                var title   = $( '.ipbe-title-content', content ).clone().removeClass( 'ipbe-hide' );
                $( '.ipbe-tab-title', root ).html( title );
            }
        });
        
        /*
         * Form control
         */
        /*
         * Update handler
         */
        var form_add = new ip_form( '#ipsnot-form-create' );
        form_add.is_add = true;
        //Additional data
        form_add.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            return data;
        };
        form_add.init();
        
        var form_edit = new ip_form( '#ipsnot-form-update' );
        form_edit.is_add = false;
        form_edit.init();
        
        /*
         * Settings
         */
        var form_setting = new ip_form( '#ipsnot-form-setting' );
        form_setting.init();
        
        /*
         * Delete object
         */
        var ipsnot_delete_url = ajaxurl+'?doajax=1&ipsnot=1&action=ipsnot_delete';
        $( '.ipsnot-item-delete' ).ipbe_list_delete( ipsnot_delete_url );
        
        
        //Preview input
        $( '.ipbe-input-preview' ).each( function()
        {
            $(this).change( function(){
                ipsnot_input_preview( $(this) );
            });
        });
        
        function ipsnot_input_preview( input )
        {
        }
        
        /*
         * Create options
         *
         */
        $( '.ipsnot-create-options .ipbe-tile a' ).click( function()
        {
            //Show loader
            ip_ui.loader.show();
            
            $( '.ipsnot-manage-wrapper' ).show();
            $( '.ipsnot-manage-section' ).hide();
            $( '.ipsnot-create-options .ipbe-tile a' ).removeClass( 'active' );
            var href = $( this ).attr( 'href' );
            var type = href.replace( '#ipsnot-manage-', '' );
            
            $( href ).show();
            $( this ).addClass( 'active' );
            
            var title = $( href + '-title' ).val();
            $( '.ipsnot-manage-title h3' ).text( title );
            
            //Set tab title
            var idtab   = '#ipsnot-section-general-' + type;
            var content = $( idtab );
            var title   = $( '.ipbe-title-content', content )
                            .clone().removeClass( 'ipbe-hide' );
            $( '.ipbe-tab-title' ).html( title );
            $( '.ipbe-tab-content' ).hide();
            $( idtab ).show();
            idtab = idtab.replace( '#', '' );
            $( '#ipbe-tab-selected' ).val( idtab );
            
            //Change menu href
            $( '.ipbe-page-menu a' ).each( function()
            {
                var href = $(this).attr( 'href' );
                href = href.replace( '-chat', '' );
                href = href.replace( '-call', '' );
                href += '-' + type;
                $(this).attr( 'href', href );
                $( '#ipsnot-notif-type' ).val( type );
                $(this).removeClass( 'active' );
            });
            $( '.ipbe-page-menu li:first-child a' ).addClass( 'active' );
            
            
            //Hide loader
            ip_ui.loader.hide();
            
            return false;
        });
        
        /*
         * Change icon
         */
        $( '.ipsnot-widget-icon' ).change( function()
        {
            var icon = $(this).val();
            var root = $(this).parents( '.ipbe-field-row' );
            var file = ipsnot_favicon_base + icon + '.ico';
            $( '.ipsnot-widget-icon-preview img' ).attr( 'src', file );
        });
        
        /*
         * Change style
         */
        $( '.ipsnot-style-option' ).change( function()
        {
            var style = $(this).val();
            var root  = $(this).parents( '.ipbe-fields' );
            $( '.ipsnot-style-fields', root ).hide();
            $( '#ipsnot-style-'+style, root ).show();
        });
        
        /*
         * Change typing indicator
         */
        $( '#ipsnot-input-typing-indicator' ).change( function()
        {
            var type  = $(this).val();
            var root  = $(this).parents( '.ipbe-fields' );
            if ( type == 'text' ) {
                $( '#ipsnot-typing-indicator-text', root ).show();
            } else {
                $( '#ipsnot-typing-indicator-text', root ).hide();
            }
        });
        
        /**
         *
         * Chat content manage
         *
         */
        //
        // Button add
        $( '#ipsnot-chat-content-doadd' ).ip_modal();
        
        /*
         * Delete chat item
         */
        var ipsnot_delete_chat_url = ajaxurl+'?doajax=1&ipsnot=1&action=ipsnot_chat_delete';
        $( '.ipsnot-chat-item-delete' ).ipbe_list_delete( ipsnot_delete_chat_url );
        
        /*
         * Add chat
         */
        var form_addchat = new ip_form( '#ipsnot-add-content-form' );
        form_addchat.is_add = true;
        //Ajax success
        form_addchat.ajax_success = function( result, $this )
        {
            $( '.ui-message', $this.form ).remove();
            ip_ui.loader.hide();
            
            //Show message
            if ( result.status == 1 ) {
                //Hide modal
                var popup = $( '#ipsnot-modal-add-content' );
                ip_ui.modal.popup_hide( popup );
                
                //Insert chat
                var chat = $( result.chat );
                //Delete event
                chat.find( '.ipsnot-chat-item-delete' ).ipbe_list_delete( ipsnot_delete_chat_url );
                //Edit event
                var editbtn = chat.find( '.ipsnot-chat-item-edit' );
                if ( editbtn ) {
                    ipsnot_chat_edit( editbtn );
                }
                
                $( '.ipsnot-chat-content .ipsnot-chat-list' ).append( chat );
                $( '#ipsnot-notif-id' ).val( result.notifid );
                chat.animate({height: 'auto'}, 400);
            
                ip_ui.message.modal( result.message, 'alert-success' );
            } else {
                ip_ui.message.modal( result.message, 'alert-danger' );
            }
            $this.form[0].reset();
        };
        //Additional data
        form_addchat.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            var notif_id   = $( '#ipsnot-notif-id' ).val();
            var notif_type = $( '#ipsnot-notif-type' ).val();
            data += '&notif_id='+notif_id;
            data += '&notif_type='+notif_type;
            
            return data;
        };
        form_addchat.init();
        
        /*
         * Edit chat
         */
        if ( $('.ipsnot-chat-item-edit').length > 0 ) {
            ipsnot_chat_edit( $('.ipsnot-chat-item-edit') );
        }
        function ipsnot_chat_edit( button ) 
        {
            button.ip_modal_ajax({
                modalSelector: '#ipsnot-modal-edit-content',
                mainSelector: '.ipsnot-modal-edit-chat-main',
                loaderUrl: ipsnot_img_url + 'loading.gif',
                getAjaxUrl: function( button )
                {
                    var url = ajaxurl + '?doajax=1&ipsnot=1&action=ipsnot_chat_get_edit';
                    var id  = button.data( 'id' );
                    url += '&id=' + id;
                    
                    return url;
                },
                ajaxSuccess: function( result, button, popup, main )
                {
                    if ( result.length > 10 ) 
                    {
                        var content = $( result );
                        
                        //Cancel event
                        var cancelbtn = content.find( '.ipbe-modal-cancel' );
                        if ( cancelbtn ) {
                            cancelbtn.click( function(){
                                ip_ui.modal.popup_hide( popup );
                            });
                        }
                        main.html( content );
                        
                        //On Off event
                        content.find( '.ipbe-btn-onoff' ).ipbe_btn_onoff({
                            func_select: function( button )
                            {
                                ipsnot_input_preview( button );
                                //
                                //Use button
                                if ( button.hasClass( 'ipsnot-use-btn-option' ) )
                                {
                                    var value  = $( '.ipbe-onoff-value', button ).val();
                                    var parent = button.parents( '.ipbe-fields' );
                                    if ( value == 'true' || value == true ) {
                                        $( '.ipsnot-use-button-fields', parent ).show();
                                    } else {
                                        $( '.ipsnot-use-button-fields', parent ).hide();
                                    }
                                }
                            }
                        });
                        
                        //Submit event
                        var form_editchat = new ip_form( '#ipsnot-edit-content-form' );
                        form_editchat.is_add = false;
                        //Ajax success
                        form_editchat.ajax_success = function( result, $this )
                        {
                            $( '.ui-message', $this.form ).remove();
                            ip_ui.loader.hide();
                            
                            //Show message
                            if ( result.status == 1 ) {
                                //Change data list
                                var item = button.parents( '.ipsnot-chat-item' );
                                $( '.ipsnot-chat-item-content', item ).html( result.content );
                                //Hide modal
                                var popup = $( '#ipsnot-modal-edit-content' );
                                ip_ui.modal.popup_hide( popup );
                                ip_ui.message.modal( result.message, 'alert-success' );
                            } else {
                                ip_ui.message.modal( result.message, 'alert-danger' );
                            }
                        };
                        //Additional data
                        form_editchat.additional_data = function( data )
                        {
                            var notif_id   = $( '#ipsnot-notif-id' ).val();
                            var notif_type = $( '#ipsnot-notif-type' ).val();
                            data += '&notif_id='+notif_id;
                            data += '&notif_type='+notif_type;
                            
                            return data;
                        };
                        form_editchat.init();
                    } 
                    else
                    {
                        ip_ui.modal.popup_hide( popup );
                    }
                }
            });
        }
        
        /**
         * Preview
         *
         */
        $( '.ipsnot-menu-preview a' ).click( function()
        {
            $( '.ipsnot-preview-none' ).hide();
            $( '.ipsnot-preview-loader' ).show();
            
            var root    = $(this).parents( '.ipbe-form' );
            var preview = $( '.ipsnot-preview-content', root );
            var form    = new ip_form( root );
            var data    = form.get_data();
            
            $.ajax({
                url: ajaxurl+'?doajax=1&ipsnot=1&action=ipsnot_get_preview',
                type: "POST",
                dataType: "html",
                data: data,
                success: function (result) 
                {
                    $( '.ipsnot-preview-loader' ).hide();
                    if ( result.length > 10 ) {
                        preview.html( result );
                        
                        //
                        //Positioning
                        if ( $( '.ipsnot-preview-content .ipsnot_call' ).length > 0 )
                        {
                            var iwidget  = $( '.ipsnot-preview-content .ipsnot_style' );
                            var cWidth   = preview.width();
                            var cHeight  = preview.height();
                            var wWidth   = iwidget.width();
                            var wHeight  = iwidget.height();
                            var center   = (cWidth - wWidth)/2;
                            var middle   = (cHeight - wHeight)/2;
                            var position = iwidget.data( 'pos' );
                            
                            if ( position ==  'top_center' || position == 'bottom_center' || position == 'middle_center' )
                            {
                                iwidget.css( 'left', center );
                            }
                            if ( position ==  'middle_left' || position == 'middle_right' || position == 'middle_center' )
                            {
                                iwidget.css( 'top', middle );
                            }
                        }
                    }
                }
            });
        });
    });
    
})(jQuery);