jQuery(function ($) 
{
    var ipsnot = {
    
        'siteTitle': '',
        'siteIcon': '',
        'browserTabIntv': false,
        'name': 'iznyn',
        'isOpen': false,
        
        'widgetOpen': function( widget )
        {
            if ( this.isOpen ) {
                return true;
            }
            if ( widget.hasClass( 'ipsnot_call' )){
                this.widgetOpenCall( widget );
            } else {
                this.widgetOpenChat( widget );
            }
            this.isOpen = true;
        },
        
        'widgetClose': function( widget )
        {
            if ( ! this.isOpen ) {
                return true;
            }
            if ( widget.hasClass( 'ipsnot_call' )){
                this.widgetCloseCall( widget );
            } else {
                this.widgetCloseChat( widget );
            }
            this.isOpen = false;
        },
        
        'widgetCloseCall': function( widget )
        {
            //Close overlay
            this.overlayClose();
            
            var space  = 75;
            var style  = $( '.ipsnot_style', widget );
            var height = style.height();
            var width  = style.width();
            var top    = height + space;
            var left   = width + space;
            
            var winHeight = $(window).height();
            var winWidth  = $(window).width();
            
            //
            //Stop sound
            if ( ipsnot_options.call_ringtone != 0 )
            {
                if ( $( '.ipsnot-audio-call-ringtone' ).length > 0 ) {
                    $( '.ipsnot-audio-call-ringtone' )[0].pause();
                }
            }
            
            var dir = style.data( 'dir' );
            if ( dir == 'top' )
            {
                style.animate( 
                    {'top': '-'+top+'px', 'marginTop': 0},
                    ipsnot_options.animation_speed,
                    function() {
                        widget.hide();
                    }
                );
            }
            else if ( dir == 'bottom' )
            {
                style.animate( 
                    {'top': (winHeight+space)+'px', 'marginTop': 0},
                    ipsnot_options.animation_speed,
                    function() {
                        widget.hide();
                    }
                );
            }
            else if ( dir == 'left' )
            {
                style.animate( 
                    {'left': '-'+left+'px', 'marginTop': 0},
                    ipsnot_options.animation_speed,
                    function() {
                        widget.hide();
                    }
                );
            }
            else if ( dir == 'right' )
            {
                style.animate( 
                    {'left': (winWidth+space)+'px', 'marginTop': 0},
                    ipsnot_options.animation_speed,
                    function() {
                        widget.hide();
                    }
                );
            }
        },
        
        'widgetCloseChat': function( widget )
        {
            //Open overlay
            this.overlayOpen();
            
            var $this     = this;
            var space     = 75;
            var padding   = 20;
            var style     = $( '.ipsnot_style', widget );
            var height    = style.height();
            var width     = style.width();
            var position  = style.data( 'pos' );
            var animAttr  = {};
            
            if ( position == 'top_left' )
            {
                animAttr = {'top': '-' + (height+space) + 'px'};
            } 
            else if ( position == 'top_right' )
            {
                animAttr = {'top': '-' + (height+space) + 'px'};
            }
            else if ( position == 'bottom_left' )
            {
                animAttr = {'bottom': '-' + (height+space) + 'px'};
            } 
            else if ( position == 'bottom_right' )
            {
                animAttr = {'bottom': '-' + (height+space) + 'px'};
            }
            
            //Do animate
            style.animate( 
                animAttr, ipsnot_options.animation_speed,
                function()
                {
                    widget.hide();
                }
            );
        },
        
        'widgetOpenCall': function( widget )
        {
            //Open overlay
            this.overlayOpen();
            
            var $this   = this;
            var space   = 75;
            var padding = 20;
            var style   = $( '.ipsnot_style', widget );
            
            var dir  = style.data( 'dir' );
            var pos  = style.data( 'pos' );
            
            //
            //Positioning widget and showing
            widget.show();
            
            var height  = style.height();
            var width   = style.width();
            
            var winHeight = $(window).height();
            var winWidth  = $(window).width();
            var center    = (winWidth - width )/2;
            var middle    = (winHeight - height )/2;

            if ( dir == 'top' ){
                style.css( 'top', '-' + (height + space) + 'px' );
            }
            else if ( dir == 'bottom' ){
                style.css( 'top', ( winHeight + height + space ) + 'px' );
            }
            else if ( dir == 'left' ){
                style.css( 'left', '-' + (width + space) + 'px' );
            }
            else if ( dir == 'right' ){
                style.css( 'left', (winWidth + space) + 'px' );
            }
            
            //Prepare
            var attr = {};
            var dirValue = '0';
            
            if ( dir == 'top' )
            {
                if ( pos == 'top_left' || pos == 'middle_left' || pos == 'bottom_left' ) {
                    style.css( 'left', padding+'px' );
                }
                else if ( pos == 'top_right' || pos == 'middle_right' || pos == 'bottom_right' ) {
                    style.css( 'right', padding+'px' );
                }
                else if ( pos == 'top_center' || pos == 'middle_center' || pos == 'bottom_center' ) {
                    style.css( 'left', center+'px' );
                }
                
                if ( pos == 'top_left' || pos == 'top_center' || pos == 'top_right' ) {
                    dirValue = padding+'px';
                }
                else if ( pos == 'middle_left' || pos == 'middle_center' || pos == 'middle_right' ) {
                    dirValue = middle+'px';
                }
                else if ( pos == 'bottom_left' || pos == 'bottom_center' || pos == 'bottom_right' ) {
                    dirValue = (winHeight - height - padding)+'px';
                }
                attr = {'top': dirValue};
            }
            else if ( dir == 'bottom' )
            {
                if ( pos == 'top_left' || pos == 'middle_left' || pos == 'bottom_left' ) {
                    style.css( 'left', padding+'px' );
                }
                else if ( pos == 'top_right' || pos == 'middle_right' || pos == 'bottom_right' ) {
                    style.css( 'right', padding+'px' );
                }
                else if ( pos == 'top_center' || pos == 'middle_center' || pos == 'bottom_center' ) {
                    style.css( 'left', center+'px' );
                }
                
                if ( pos == 'top_left' || pos == 'top_center' || pos == 'top_right' ) {
                    dirValue = padding+'px';
                }
                else if ( pos == 'middle_left' || pos == 'middle_center' || pos == 'middle_right' ) {
                    dirValue = middle+'px';
                }
                else if ( pos == 'bottom_left' || pos == 'bottom_center' || pos == 'bottom_right' ) {
                    dirValue = (winHeight - height - padding)+'px';
                }
                attr = {'top': dirValue};
            }
            else if ( dir == 'left' )
            {
                if ( pos == 'top_left' || pos == 'top_center' || pos == 'top_right' ) {
                    style.css( 'top', padding+'px' );
                }
                else if ( pos == 'middle_left' || pos == 'middle_center' || pos == 'middle_right' ) {
                    style.css( 'top', middle+'px' );
                }
                else if ( pos == 'bottom_left' || pos == 'bottom_center' || pos == 'bottom_right' ) {
                    style.css( 'bottom', padding+'px' );
                }
                
                if ( pos == 'top_left' || pos == 'middle_left' || pos == 'bottom_left' ) {
                    dirValue = padding+'px';
                }
                else if ( pos == 'top_right' || pos == 'middle_right' || pos == 'bottom_right' ) {
                    dirValue = (winWidth-width-padding)+'px';
                }
                else if ( pos == 'top_center' || pos == 'middle_center' || pos == 'bottom_center' ) {
                    dirValue = center+'px';
                }
                attr = {'left': dirValue};
            }
            else if ( dir == 'right' )
            {
                if ( pos == 'top_left' || pos == 'top_center' || pos == 'top_right' ) {
                    style.css( 'top', padding+'px' );
                }
                else if ( pos == 'middle_left' || pos == 'middle_center' || pos == 'middle_right' ) {
                    style.css( 'top', middle+'px' );
                }
                else if ( pos == 'bottom_left' || pos == 'bottom_center' || pos == 'bottom_right' ) {
                    style.css( 'bottom', padding+'px' );
                }
                
                if ( pos == 'top_left' || pos == 'middle_left' || pos == 'bottom_left' ) {
                    dirValue = padding+'px';
                }
                else if ( pos == 'top_right' || pos == 'middle_right' || pos == 'bottom_right' ) {
                    dirValue = (winWidth - width - padding)+'px';
                }
                else if ( pos == 'top_center' || pos == 'middle_center' || pos == 'bottom_center' ) {
                    dirValue = center+'px';
                }
                attr = {'left': dirValue};
            }
            
            //
            //Play sound
            if ( ipsnot_options.call_ringtone != 0 )
            {
                if ( $( '.ipsnot-audio-call-ringtone' ).length > 0 ) {
                    $( '.ipsnot-audio-call-ringtone' )[0].play();
                }
            }
            
            //Do animate
            style.animate( 
                attr, ipsnot_options.animation_speed,
                function()
                {
                    //Set duration
                    var duration = ipsnot_options.widget_duration;
                    var durNum   = new Number( duration );
                    
                    if ( durNum > 0 ) {
                        durNum *= 1000;
                        setTimeout( function()
                        {
                            $this.widgetCloseCall( widget );
                        }, durNum );
                    }
                }
            );
        },
        
        'widgetOpenChat': function( widget )
        {
            //Open overlay
            this.overlayOpen();
            
            var $this   = this;
            var space   = 75;
            var padding = 20;
            var style   = $( '.ipsnot_style', widget );
            var height  = style.height();
            var width   = style.width();
            
            var winHeight = $(window).height();
            var winWidth  = $(window).width();
            var position  = style.data( 'pos' );
            var animAttr  = {};
            
            if ( position == 'top_left' )
            {
                style.css( 'top', '-' + (height+space) + 'px' )
                     .css( 'left', padding + 'px' );
                animAttr = {'top': 0};
            } 
            else if ( position == 'top_right' )
            {
                style.css( 'top', '-' + (height+space) + 'px' )
                     .css( 'right', padding + 'px' );
                animAttr = {'top': 0};
            }
            else if ( position == 'bottom_left' )
            {
                style.css( 'bottom', '-' + (height+space) + 'px' )
                     .css( 'left', padding + 'px' );
                animAttr = {'bottom': 0};
            } 
            else if ( position == 'bottom_right' )
            {
                style.css( 'bottom', '-' + (height+space) + 'px' )
                     .css( 'right', padding + 'px' );
                animAttr = {'bottom': 0};
            }
            widget.show();
            
            //
            //Play sound
            if ( ipsnot_options.widget_audio != 0 )
            {
                if ( $( '.ipsnot-audio-chat-widget' ).length > 0 ) {
                    $( '.ipsnot-audio-chat-widget' )[0].play();
                }
            }
            
            //Do animate
            style.animate( 
                animAttr, ipsnot_options.animation_speed,
                function()
                {
                    //Set duration
                    var duration = ipsnot_options.widget_duration;
                    var durNum   = new Number( duration );
                    
                    if ( durNum > 0 ) {
                        durNum *= 1000;
                        setTimeout( function()
                        {
                            $this.widgetCloseChat( widget );
                        }, durNum );
                    }
                }
            );
        },
        
        'overlayOpen': function()
        {
            if ( $( '.ipsnot_call_overlay' ).length > 0 )
            {
                $( '.ipsnot_call_overlay' )
                    .css( 'opacity', 0 )
                    .show()
                    .animate( { 'opacity': 1 }, ipsnot_options.animation_speed );
            }
        },
        
        'overlayClose': function()
        {
            if ( $( '.ipsnot_call_overlay' ).length > 0 )
            {
                $( '.ipsnot_call_overlay' )
                    .css( 'opacity', 1 )
                    .animate( { 'opacity': 0 }, ipsnot_options.animation_speed, function(){
                        $( '.ipsnot_call_overlay' ).hide();
                    });
            }
        },
        
        'changeBrowserTab': function( widget )
        {
            var $this = this;
            
            if ( ! this.browserTabIntv )
            {
                var is_info = false;
                this.browserTabIntv = setInterval(function()
                {
                    if ( ! is_info )
                    {
                        $( 'head title' ).html( ipsnot_options.browser_title );
                        if ( $( 'head link[rel~="shortcut"]' ).length > 0 ){
                            var icon = $( 'head link[rel~="shortcut"]' );
                        } else {
                            var icon = $( '<link href="" rel="shortcut icon" type="image/vnd.microsoft.icon">' );
                            $( 'head' ).append( icon );
                        }
                        icon.attr( 'href', ipsnot_options.browser_icon );
                        is_info = true;
                    }
                    else 
                    {
                        $( 'head title' ).html( $this.siteTitle );
                        $( 'head link[rel~="shortcut"]' ).attr( 'href', $this.siteIcon );
                        is_info = false;
                    }
                    
                }, 1000 );
            }
        },
        
        'clearBrowserTab': function( widget )
        {
            if ( this.browserTabIntv )
            {
                window.clearInterval( this.browserTabIntv );
                $( 'head title' ).html( this.siteTitle );
                $( 'head link[rel~="shortcut"]' ).attr( 'href', this.siteIcon );
            }
        }
    };
    
    $(document).ready(function() 
    {
        //
        // Load Widget
        (function()
        {
            var delay     = ipsnot_options.widget_delay;
            var method    = ipsnot_options.widget_method;
            var delayNum  = new Number( delay );
            delayNum *= 1000;
            if ( method == 'page' )
            {
                var widget = $( '.ipsnot' );
                setTimeout( function()
                {
                    ipsnot.widgetOpen( widget );
                }, delayNum );
            } 
            else
            {
                var siteTitle  = $( 'head title' ).html();
                var siteIcon   = $( 'head link[rel~="shortcut"]' ).attr( 'href' );
                ipsnot.siteTitle = siteTitle;
                ipsnot.siteIcon  = siteIcon;
                
                $(window).focusout( function()
                {
                    var widget = $( '.ipsnot' );
                    setTimeout( function()
                    {
                        ipsnot.widgetOpen( widget );
                        ipsnot.changeBrowserTab( widget );
                    }, delayNum );
                });
                
                $(window).focus( function()
                {
                    ipsnot.clearBrowserTab();
                });
            }
        })();
        
        //
        //Chat display
        (function()
        {
            var delay = ipsnot_options.chat_delay * 1000;
            var count = $( '.ipsnot_chat_item' ).length;
            var index = 1;
            
            var intv = setInterval( function()
            {
                index++;
                if ( index > count ) {
                    $( '.ipsnot_typing' ).hide();
                    window.clearInterval( intv );
                    return false;
                }
                
                $( '.ipsnot_chat_item:nth-child('+index+')' ).show();
                //
                //Play sound
                if ( ipsnot_options.chat_ringtone != '' )
                {
                    if ( $( '.ipsnot-audio-chat-ringtone' ).length > 0 ) {
                        $( '.ipsnot-audio-chat-ringtone' )[0].play();
                    }
                }
            
                var body = $( '.ipsnot-widget_body' );
                var scrollHeight = body[0].scrollHeight;
                body.scrollTop( scrollHeight );
            }
            , delay );
        })();
        
        //
        //Widget close 
        (function()
        {
            $( '.ipsnot-widget_close' ).click( function()
            {
                var button = $( this ); 
                var root   = button.parents( '.ipsnot' ); 
                var style  = $( '.ipsnot_style', root ); 
                
                ipsnot.widgetClose( root );
                return false;
            });
        })();
    });
});