<?php
if ( ! class_exists( 'IPSnot_Model' )) {

    /**
     * Class for manage post setting
     */
    class IPSnot_Model
    {
        
        /**
         * Save setting notification
         *
         * @param  int $notifId
         * @return void
         */
        public function save_setting( $notifId )
        {
            $notifId = absint( $notifId );
            $data    = $this->_get_setting_data();
            $setting = new IPSnot_Setting( $notifId, '__ipsnot-setting' );
            $result  = $setting->setSettings( $data );
            return $result;
        }
        
        /**
         * Get setting data
         *
         * @return array
         */
        protected function _get_setting_data()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );
            
            /*
             * General
             */
            if ( ! empty( $data['type'] )) {
                $setting['type'] = apply_filters( 'pre_term_name', $data['type'] );
            }
            if ( ! empty( $data['title_call'] )) {
                $setting['title_call'] = apply_filters( 'single_post_title', $data['title_call'] );
            }
            if ( ! empty( $data['title_chat'] )) {
                $setting['title_chat'] = apply_filters( 'single_post_title', $data['title_chat'] );
            }
            if ( isset( $data['status_call'] )) {
                $setting['status_call'] = apply_filters( 'pre_term_name', $data['status_call'] );
            }
            if ( isset( $data['status_chat'] )) {
                $setting['status_chat'] = apply_filters( 'pre_term_name', $data['status_chat'] );
            }
            if ( isset( $data['restricted_call'] )) {
                $setting['restricted_call'] = apply_filters( 'pre_term_name', $data['restricted_call'] );
            }
            if ( isset( $data['restricted_chat'] )) {
                $setting['restricted_chat'] = apply_filters( 'pre_term_name', $data['restricted_chat'] );
            }
            
            /**
             * Content
             */
            
            /**
             * Chat
             */
            if ( ! empty( $data['widget_title_chat'] )) {
                $setting['widget_title_chat'] = apply_filters( 'single_post_title', $data['widget_title_chat'] );
            }
            if ( isset( $data['widget_icon_chat'] )) {
                $setting['widget_icon_chat'] = apply_filters( 'pre_term_name', $data['widget_icon_chat'] );
            }
            if ( isset( $data['chat_photo_chat'] )) {
                $setting['chat_photo_chat'] = absint( $data['chat_photo_chat'] );
            }
            if ( ! empty( $data['tab_title_chat'] )) {
                $setting['tab_title_chat'] = apply_filters( 'single_post_title', $data['tab_title_chat'] );
            }
            if ( isset( $data['tab_icon_chat'] )) {
                $setting['tab_icon_chat'] = apply_filters( 'pre_term_name', $data['tab_icon_chat'] );
            }
            
            /**
             * Call
             */
            if ( ! empty( $data['widget_title_call'] )) {
                $setting['widget_title_call'] = apply_filters( 'single_post_title', $data['widget_title_call'] );
            }
            if ( isset( $data['widget_icon_call'] )) {
                $setting['widget_icon_call'] = apply_filters( 'pre_term_name', $data['widget_icon_call'] );
            }
            if ( isset( $data['caller_photo'] )) {
                $setting['caller_photo'] = absint( $data['caller_photo'] );
            }
            
            if ( ! empty( $data['caller_name'] )) {
                $setting['caller_name'] = apply_filters( 'single_post_title', $data['caller_name'] );
            }
            if ( ! empty( $data['image_call'] )) {
                $setting['image_call'] = absint( $data['image_call'] );
            }
            
            if ( isset( $data['url_call'] )) {
                $setting['url_call'] = apply_filters( 'pre_link_url', $data['url_call'] );
            }
            if ( isset( $data['link_tab_call'] )) {
                $setting['link_tab_call'] = apply_filters( 'pre_term_name', $data['link_tab_call'] );
            }
            
            if ( ! empty( $data['tab_title_call'] )) {
                $setting['tab_title_call'] = apply_filters( 'single_post_title', $data['tab_title_call'] );
            }
            if ( isset( $data['tab_icon_call'] )) {
                $setting['tab_icon_call'] = apply_filters( 'pre_term_name', $data['tab_icon_call'] );
            }
            
            
            /**
             * Design
             */
            
            /**
            * Chat
            */
            if ( isset( $data['style_chat'] )) {
                $setting['style_chat'] = apply_filters( 'pre_term_name', $data['style_chat'] );
            }
            
            //Facebook
            if ( isset( $data['style_fb_icon_setting'] )) {
                $setting['style_fb_icon_setting'] = apply_filters( 'pre_term_name', $data['style_fb_icon_setting'] );
            }
            if ( isset( $data['style_fb_icon_video'] )) {
                $setting['style_fb_icon_video'] = apply_filters( 'pre_term_name', $data['style_fb_icon_video'] );
            }
            if ( isset( $data['style_fb_icon_friend'] )) {
                $setting['style_fb_icon_friend'] = apply_filters( 'pre_term_name', $data['style_fb_icon_friend'] );
            }
            if ( isset( $data['style_fb_chat_input'] )) {
                $setting['style_fb_chat_input'] = apply_filters( 'pre_term_name', $data['style_fb_chat_input'] );
            }
            
            //Yahoo
            if ( isset( $data['style_yahoo_chat_input'] )) {
                $setting['style_yahoo_chat_input'] = apply_filters( 'pre_term_name', $data['style_yahoo_chat_input'] );
            }
            
            //Google
            if ( isset( $data['style_google_icon_call'] )) {
                $setting['style_google_icon_call'] = apply_filters( 'pre_term_name', $data['style_google_icon_call'] );
            }
            if ( isset( $data['style_google_icon_file'] )) {
                $setting['style_google_icon_file'] = apply_filters( 'pre_term_name', $data['style_google_icon_file'] );
            }
            if ( isset( $data['style_google_chat_input'] )) {
                $setting['style_google_chat_input'] = apply_filters( 'pre_term_name', $data['style_google_chat_input'] );
            }
            
            //Flat
            if ( isset( $data['style_flat_color'] )) {
                $setting['style_flat_color'] = apply_filters( 'pre_term_name', $data['style_flat_color'] );
            }
            if ( isset( $data['style_flat_chat_input'] )) {
                $setting['style_flat_chat_input'] = apply_filters( 'pre_term_name', $data['style_flat_chat_input'] );
            }
            
            //Modern
            if ( isset( $data['style_modern_color'] )) {
                $setting['style_modern_color'] = apply_filters( 'pre_term_name', $data['style_modern_color'] );
            }
            if ( isset( $data['style_modern_chat_input'] )) {
                $setting['style_modern_chat_input'] = apply_filters( 'pre_term_name', $data['style_modern_chat_input'] );
            }
            
            //Classic
            if ( isset( $data['style_classic_color'] )) {
                $setting['style_classic_color'] = apply_filters( 'pre_term_name', $data['style_classic_color'] );
            }
            if ( isset( $data['style_classic_chat_input'] )) {
                $setting['style_classic_chat_input'] = apply_filters( 'pre_term_name', $data['style_classic_chat_input'] );
            }
            
            
            /**
             * Call
             */
            if ( isset( $data['style_call'] )) {
                $setting['style_call'] = apply_filters( 'pre_term_name', $data['style_call'] );
            }
            
            //Skype
            if ( isset( $data['style_skype_icon_accept'] )) {
                $setting['style_skype_icon_accept'] = apply_filters( 'pre_term_name', $data['style_skype_icon_accept'] );
            }
            if ( isset( $data['style_skype_icon_decline'] )) {
                $setting['style_skype_icon_decline'] = apply_filters( 'pre_term_name', $data['style_skype_icon_decline'] );
            }
            if ( isset( $data['style_skype_icon_video'] )) {
                $setting['style_skype_icon_video'] = apply_filters( 'pre_term_name', $data['style_skype_icon_video'] );
            }
            
            //Others
            if ( isset( $data['style_call_flat_color'] )) {
                $setting['style_call_flat_color'] = apply_filters( 'pre_term_name', $data['style_call_flat_color'] );
            }
            if ( isset( $data['style_call_modern_color'] )) {
                $setting['style_call_modern_color'] = apply_filters( 'pre_term_name', $data['style_call_modern_color'] );
            }
            if ( isset( $data['style_call_classic_color'] )) {
                $setting['style_call_classic_color'] = apply_filters( 'pre_term_name', $data['style_call_classic_color'] );
            }
            
            
            /**
             * Effect
             */
             
            /**
             * Chat
             */
            if ( isset( $data['position_chat'] )) {
                $setting['position_chat'] = apply_filters( 'pre_term_name', $data['position_chat'] );
            }
            if ( isset( $data['widget_delay_chat'] )) {
                $setting['widget_delay_chat'] = apply_filters( 'pre_term_name', $data['widget_delay_chat'] );
            }
            if ( isset( $data['widget_delay_method_chat'] )) {
                $setting['widget_delay_method_chat'] = apply_filters( 'pre_term_name', $data['widget_delay_method_chat'] );
            }
            if ( isset( $data['animation_speed_chat'] )) {
                $setting['animation_speed_chat'] = apply_filters( 'pre_term_name', $data['animation_speed_chat'] );
            }
            if ( isset( $data['audio_chat'] )) {
                $setting['audio_chat'] = absint( $data['audio_chat'] );
            }
            if ( isset( $data['chat_delay'] )) {
                $setting['chat_delay'] = apply_filters( 'pre_term_name', $data['chat_delay'] );
            }
            if ( isset( $data['typing_indicator'] )) {
                $setting['typing_indicator'] = apply_filters( 'pre_term_name', $data['typing_indicator'] );
            }
            if ( isset( $data['typing_indicator_text'] )) {
                $setting['typing_indicator_text'] = apply_filters( 'pre_term_name', $data['typing_indicator_text'] );
            }
            if ( isset( $data['widget_duration_chat'] )) {
                $setting['widget_duration_chat'] = absint( $data['widget_duration_chat'] );
            }
            if ( isset( $data['chat_ringtone'] )) {
                $setting['chat_ringtone'] = apply_filters( 'pre_term_name', $data['chat_ringtone'] );
            }
            
            /**
             * Call
             */
            if ( isset( $data['position_call'] )) {
                $setting['position_call'] = apply_filters( 'pre_term_name', $data['position_call'] );
            }
            if ( isset( $data['widget_delay_call'] )) {
                $setting['widget_delay_call'] = apply_filters( 'pre_term_name', $data['widget_delay_call'] );
            }
            if ( isset( $data['widget_delay_method_call'] )) {
                $setting['widget_delay_method_call'] = apply_filters( 'pre_term_name', $data['widget_delay_method_call'] );
            }
            if ( isset( $data['animation_speed_call'] )) {
                $setting['animation_speed_call'] = apply_filters( 'pre_term_name', $data['animation_speed_call'] );
            }
            if ( isset( $data['call_ringtone'] )) {
                $setting['call_ringtone'] = apply_filters( 'pre_term_name', $data['call_ringtone'] );
            }
            if ( isset( $data['background_overlay'] )) {
                $setting['background_overlay'] = apply_filters( 'pre_term_name', $data['background_overlay'] );
            }
            if ( isset( $data['widget_duration_call'] )) {
                $setting['widget_duration_call'] = absint( $data['widget_duration_call'] );
            }
            if ( isset( $data['show_direction'] )) {
                $setting['show_direction'] = apply_filters( 'pre_term_name', $data['show_direction'] );
            }
             
            return $setting;
        }
        
        /**
         * Save setting chat item
         *
         * @param  int $contentId
         * @return void
         */
        public function save_chat_setting( $contentId )
        {
            $contentId = absint( $contentId );
            $data      = $this->_get_chat_setting_data();
            $setting   = new IPSnot_Setting( $contentId, '__ipsnot-chat-content-setting' );
            $result    = $setting->setSettings( $data );
            return $result;
        }
        
        /**
         * Get setting data
         *
         * @return array
         */
        protected function _get_chat_setting_data()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );
            
            if ( isset( $data['button_style'] )) {
                $setting['button_style'] = apply_filters( 'pre_term_name', $data['button_style'] );
            }
            if ( ! empty( $data['button_text'] )) {
                $setting['button_text'] = apply_filters( 'single_post_title', $data['button_text'] );
            }
            if ( isset( $data['button_url'] )) {
                $setting['button_url'] = apply_filters( 'pre_link_url', $data['button_url'] );
            }
            if ( isset( $data['use_button'] )) {
                $setting['use_button'] = apply_filters( 'pre_term_name', $data['use_button'] );
            }
            if ( isset( $data['button_new_tab'] )) {
                $setting['button_new_tab'] = apply_filters( 'pre_term_name', $data['button_new_tab'] );
            }
            return $setting;
        }
    }

}
?>