<div id="ipsnot-section-content-call" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-cogs"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'Content', 'wp_notification_plus' ); ?></h3>
                <p><?php _e( 'Setting the content of the notification widget', 'wp_notification_plus' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">
            
            <?php
            //Widget Title
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-widget-title-call"><?php _e( 'Widget Title', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <?php
                    $title = stripslashes( $this->setting->getSetting( 'widget_title_call' ) );
                    ?>
                    <input type="text" id="input-widget-title-call" class="ipbe-input ipbe-input-full" name="widget_title_call" value="<?php echo $title; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the title of the notification widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Widget Icon
            ?>
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-widget-icon-call"><?php _e( 'Widget Icon', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field">
                    <?php
                    $icon = $this->setting->getSetting( 'widget_icon_call' );
                    IPSnot_Faicon::get_html_option( 'widget_icon_call', $icon );
                    ?>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the icon of the notification widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Caller Name
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-caller-name"><?php _e( 'Caller Name', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <?php
                    $name = stripslashes( $this->setting->getSetting( 'caller_name' ) );
                    ?>
                    <input type="text" id="input-caller-name" class="ipbe-input ipbe-input-full" name="caller_name" value="<?php echo $name; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the caller name.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Image
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-image-call"><?php _e( 'Caller Photo', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <div class="ipbe-upload-image ipbe-clear">
                        <div class="ipbe-upload-preview">
                            <?php
                            $setimg = false;
                            if ( $this->setting ) {
                                if ( $attach_id = $this->setting->getSetting( 'caller_photo' ) ) {
                                    $setimg = true;
                                    $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                }
                            }
                            if ( $setimg ) {
                                echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                                echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_notification_plus' ) . '</div>';
                                $reset_dsp = '';
                            } else {
                                echo '<div class="image"></div>';
                                echo '<div class="none">' . __( 'No image', 'wp_notification_plus' ) . '</div>';
                                $reset_dsp = ' style="display:none;"';
                            }
                            ?>
                        </div>
                        
                        <div class="ipbe-image-field">
                            <div class="ipbe-select-image">
                                <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_notification_plus' ); ?></p>
                                <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" name="select_image" data-choose="<?php esc_attr_e( 'Choose Image' ); ?>"
                                  data-update="<?php esc_attr_e( 'Choose image' ); ?>">
                                    <i class="ibe ibe-image"></i>
                                    <?php _e( 'Select Image', 'wp_notification_plus' ); ?>
                                </a>
                                <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                                    <i class="ibe ibe-ban"></i>
                                    <?php _e( 'Clear Image', 'wp_notification_plus' ); ?>
                                </a>
                            </div>
                            <input type="hidden" name="upload_type" class="ipbe-upload-type" value="caller_photo" />
                            <input type="hidden" name="caller_photo" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                        </div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the image content.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Browser Tab Setting
            ?>
            <h3 class="ipbe-field-title">
                <?php _e( 'Link Settings', 'wp_notification_plus' ); ?>
            </h3>
            
            <?php
            //Link url
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-url-call"><?php _e( 'Link to Open', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <?php
                    $url = $this->setting->getSetting( 'url_call' );
                    ?>
                    <input type="text" id="input-url-call" class="ipbe-input ipbe-input-full" name="url_call" value="<?php echo $url; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the destination page URL when clicked widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Link open
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-link-tab-call"><?php _e( 'Open Link in New Tab', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <div class="ipbe-btn-onoff">
                        <?php
                        $val = $this->setting->getSetting( 'link_tab_call', 'true' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_notification_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_notification_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="link_tab_call" value="<?php echo $val; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the destination page URL when clicked widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Browser Tab Setting
            ?>
            <h3 class="ipbe-field-title">
                <?php _e( 'Browser Tab Settings', 'wp_notification_plus' ); ?>
            </h3>
            
            <?php
            //Tab Title
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-tab-title-call"><?php _e( 'Tab Title', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <?php
                    $title = stripslashes( $this->setting->getSetting( 'tab_title_call' ) );
                    ?>
                    <input type="text" id="input-tab-title-call" class="ipbe-input ipbe-input-full" name="tab_title_call" value="<?php echo $title; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the browser tab title.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Tab Icon
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-tab-icon-call"><?php _e( 'Tab Icon', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <select name="tab_icon_call" class="ipbe-input ipsnot-widget-icon" id="input-tab-icon-call">
                    <?php
                    $icons = array(
                        'envelope'       => __( 'Envelope', 'wp_notification_plus' ),
                        'bubble'         => __( 'Bubble', 'wp_notification_plus' ),
                        'exclamation'    => __( 'Exclamation', 'wp_notification_plus' ),
                        'info'           => __( 'Info', 'wp_notification_plus' ),
                        'bullhorn'       => __( 'Bullhorn', 'wp_notification_plus' ),
                        'bell'           => __( 'Bell', 'wp_notification_plus' ),
                        'checkmark'      => __( 'Checkmark', 'wp_notification_plus' ),
                        'paper_plane'    => __( 'Paper Plane', 'wp_notification_plus' ),
                        'star'           => __( 'Star', 'wp_notification_plus' ),
                    );
                    $icon = $this->setting->getSetting( 'tab_icon_call', 'envelope' );
                    foreach( $icons as $key => $label )
                    {
                        $sltd = '';
                        if ( $key == $icon ) {
                            $sltd = ' selected="selected"';
                        }
                        echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                    }
                    ?>
                    </select>
                    <?php
                    $base  = IPSNOT_BASE_URL . 'img/favicon/';
                    $file  = $base . $icon . '.ico';
                    ?>
                    <span class="ipsnot-widget-icon-preview mx10">
                        <img src="<?php echo $file; ?>" alt="" />
                    </span>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the browser tab icon .', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        
        </div>
    </div>
</div>